package com.sheep.gamegroup.util.upfile;

/**
 * Created by howie on 2017/5/15.
 */

public interface UpFileListener {
    /**
     * 上传图片成功
     * @param msg
     * @param index index为-1时代表只上传一个文件或者多个文件完成，大于0时代表上传成功的图片所在位置
     */
    void Success(String msg, int index);

    /**
     * 上传图片的进度
     * @param progress
     * @param index index为-1时代表只上传一个文件或者多个文件时的进度，大于0时代表上传进度的图片所在位置
     */
    void Progress(String progress, int index);

    void Failure(String err);
}
